Subject: bug#20677: tooltips generate garbage

From: Michael Heerdegen <[email-masked]>
Date: Tue, 02 Jun 2015 18:33:56 +0200

Eli Zaretskii <[email-masked]> writes:

> Does it even compile?  I think it shouldn't compile.  Or maybe I'm
> missing something.

I tried "make" again, and it compiles.  I'm now trying bootstrapping
again to see if I missed an error message.

> So this probably means we don't clear the area that was obscured by
> the tip, we only redisplay the text in the obscured region.  Does this
> match what you see?

Could be.  Testing with a buffer in fundamental-mode and

   M-: (insert (propertize "test" 'help-echo "-----------------"))

seems to confirm this when I add more text etc.

> Can you see whether Emacs gets an expose event when the tip pops down?

Sorry, you've found my limit in understanding.  How can check that?

Michael.